

#    MIDAS Access Client  for the  DataAcquisitionControl service

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global DataAcquisitionControlHost DataAcquisitionControlPort

if {[info exists DataAcquisitionControlHost] == 0} then {set DataAcquisitionControlHost localhost}
if {[info exists DataAcquisitionControlPort] == 0} then {set DataAcquisitionControlPort 8015}

variable uri "urn:DataAcquisitionControl"
variable proxy "http://$DataAcquisitionControlHost:$DataAcquisitionControlPort/DataAcquisitionControl"


SOAP::create DataAcquisitionControlClient__Get-State -proxy $proxy -uri $uri -timeout 10000 \
     -name Get-State \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request 

SOAP::create DataAcquisitionControlClient__Do-SetUp -proxy $proxy -uri $uri -timeout 10000 \
     -name Do-SetUp \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create DataAcquisitionControlClient__Do-Stop -proxy $proxy -uri $uri -timeout 10000 \
     -name Do-Stop \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create DataAcquisitionControlClient__Do-Go -proxy $proxy -uri $uri -timeout 10000 \
     -name Do-Go \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create DataAcquisitionControlClient__Get-Counters -proxy $proxy -uri $uri -timeout 10000 \
     -name Get-Counters \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request 

SOAP::create DataAcquisitionControlClient__Get-Rates -proxy $proxy -uri $uri -timeout 10000 \
     -name Get-Rates \
     -params {} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request

SOAP::create DataAcquisitionControlClient__ServerVerbose -proxy $proxy -uri $uri -timeout 1000 \
     -name ServerVerbose \
     -params {opt int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 



package provide DataAcquisitionControlClient 1.0
